Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Decompression_Algorithm Class Referenceabstract

`#include <compression.h>`

Inheritance diagram for Botan::Decompression_Algorithm:

## Public Member Functions
virtual void | clear ()=0
virtual void | finish (secure_vector< uint8_t > &final_block, size_t offset=0)=0
virtual std::string | name () const =0
virtual void | start ()=0
virtual void | update (secure_vector< uint8_t > &buf, size_t offset=0)=0
virtual | ~Decompression_Algorithm ()

## Detailed Description

Definition at line 65 of file compression.h.

## Constructor & Destructor Documentation

virtual Botan::Decompression_Algorithm::~Decompression_Algorithm | ( |  | ) |
| inline virtual

Definition at line 100 of file compression.h.

100 {}

## Member Function Documentation

virtual void Botan::Decompression_Algorithm::clear | ( |  | ) |
| pure virtual

Reset the state and abort the current message; start can be called again to process a new message.

Implemented in Botan::Stream_Decompression.

virtual void Botan::Decompression_Algorithm::finish | ( | secure_vector< uint8_t > & | final_block,
|  | size_t | offset = `0`
| ) |  |
| pure virtual

Finish decompressing

Parameters

  final_block | in/out parameter
  offset | an offset into final_block to begin processing

Implemented in Botan::Stream_Decompression.

virtual std::string Botan::Decompression_Algorithm::name | ( |  | ) | const
| pure virtual

Returns
  name of the decompression algorithm

Implemented in Botan::Gzip_Decompression, Botan::Deflate_Decompression, Botan::LZMA_Decompression, Botan::Bzip2_Decompression, and Botan::Zlib_Decompression.

Referenced by Botan::Stream_Decompression::finish().

virtual void Botan::Decompression_Algorithm::start | ( |  | ) |
| pure virtual

Begin decompressing. Decompression does not support levels, as compression does.

virtual void Botan::Decompression_Algorithm::update | ( | secure_vector< uint8_t > & | buf,
|  | size_t | offset = `0`
| ) |  |
| pure virtual

Process some data. Input must be in size update_granularity() uint8_t blocks.

Parameters

  buf | in/out parameter which will possibly be resized or swapped
  offset | an offset into blocks to begin processing

Implemented in Botan::Stream_Decompression.

The documentation for this class was generated from the following file:

- src/lib/compression/compression.h